- Qt 6.7
- Qt Sensors
- QML Types
- LightReading
- Qt 6.7.0 Reference Documentation

# LightReading QML Type

The LightReading element holds the most recent LightSensor reading. More...

Import Statement: | import QtSensors
Since: | QtSensors 5.0
Inherits: | SensorReading

- List of all members, including inherited members

## Properties

- illuminance : qreal

## Detailed Description

The LightReading element holds the most recent LightSensor reading.

This element wraps the QLightReading class. Please see the documentation for QLightReading for details.

This element cannot be directly created.

## Property Documentation

illuminance : qreal

This property holds the light level.

Please see QLightReading::illuminance for information about this property.